Cacti (home)ForumsDocumentation
Cacti: offical forums and support
It is currently Mon May 29, 2017 5:56 pm

All times are UTC - 5 hours




Post new topic Reply to topic  [ 8 posts ] 
Author Message
 Post subject: Thresholds plugin not compatible with Cacti 1.1.2
PostPosted: Thu May 18, 2017 10:22 am 
Offline

Joined: Thu Apr 27, 2017 1:02 pm
Posts: 7
Good Day Cacti Family,

Im trying to install the cacti plugin through github link and when u do that it says that the plugin is not compatible
Im using Cacti version 1.1.2 and the thold 1.0.3
Is there another version i should be using?
Also, this is the link that i cloned
https://github.com/Cacti/plugin_thold.git


Attachments:
Console -_ Plugin Management.png
Console -_ Plugin Management.png [ 24.88 KiB | Viewed 255 times ]
Top
 Profile  
 
 Post subject: Re: Thresholds plugin not compatible with Cacti 1.1.2
PostPosted: Thu May 18, 2017 10:44 am 
Offline
User avatar

Joined: Thu Mar 16, 2017 8:43 am
Posts: 25
I am using thold 1.02 with cacti 1.1.6 and it works fine. You can just edit the INFO file.

this line:

Code:
compat = 1.1.4


to this
Code:
compat = 1.1.2

_________________
Ubuntu 16.04.2 LTS
Cacti 1.1.6
Spine 1.1.6
RRDtool 1.5.5
PHP 7.0.15
mysql 14.14 (5.7.18)
Cycle 4.0
Monitor 2.1
Gexport 1.0
Thold 1.02
PHP Weathermap 0.98a


Top
 Profile  
 
 Post subject: Re: Thresholds plugin not compatible with Cacti 1.1.2
PostPosted: Thu May 18, 2017 11:27 am 
Offline

Joined: Thu Apr 27, 2017 1:02 pm
Posts: 7
Thanks,
That worked but now i am getting the following error message in my logs.
2017-05-18 11:23:14 - CMDPHP ERRORS DETECTED - DISABLING PLUGIN 'thold'
2017-05-18 11:23:14 - CMDPHP PHP ERROR Backtrace: (CactiShutdownHandler)(/lib/functions.php: 4333 cacti_debug_backtrace)
2017-05-18 11:23:14 - ERROR PHP ERROR in Plugin 'thold': Call to undefined function get_current_page() in file: /usr/share/cacti/plugins/thold/setup.php on line: 110

Any suggestions?


Top
 Profile  
 
 Post subject: Re: Thresholds plugin not compatible with Cacti 1.1.2
PostPosted: Mon May 22, 2017 11:24 am 
Offline
User avatar

Joined: Thu Mar 16, 2017 8:43 am
Posts: 25
What OS and what version of PHP do you have installed?

_________________
Ubuntu 16.04.2 LTS
Cacti 1.1.6
Spine 1.1.6
RRDtool 1.5.5
PHP 7.0.15
mysql 14.14 (5.7.18)
Cycle 4.0
Monitor 2.1
Gexport 1.0
Thold 1.02
PHP Weathermap 0.98a


Top
 Profile  
 
 Post subject: Re: Thresholds plugin not compatible with Cacti 1.1.2
PostPosted: Mon May 22, 2017 11:52 am 
Offline

Joined: Thu Apr 27, 2017 1:02 pm
Posts: 7
My apologies for the late reply.
Cacti Version 1.1.2
Cacti OS unix (Centos 7)
PHP Version 5.4.16


Top
 Profile  
 
 Post subject: Re: Thresholds plugin not compatible with Cacti 1.1.2
PostPosted: Mon May 22, 2017 4:54 pm 
Offline
User avatar

Joined: Thu Mar 16, 2017 8:43 am
Posts: 25
Check your setup.php file and see what is on line 110. In mine it shows this

Code:
   global $config;


And that should not be causing that error... in fact I can't find that call in the setup.php file anywhere.

_________________
Ubuntu 16.04.2 LTS
Cacti 1.1.6
Spine 1.1.6
RRDtool 1.5.5
PHP 7.0.15
mysql 14.14 (5.7.18)
Cycle 4.0
Monitor 2.1
Gexport 1.0
Thold 1.02
PHP Weathermap 0.98a


Top
 Profile  
 
 Post subject: Re: Thresholds plugin not compatible with Cacti 1.1.2
PostPosted: Wed May 24, 2017 10:32 am 
Offline

Joined: Thu Apr 27, 2017 1:02 pm
Posts: 7
Thanks alot for the information. Once i upgraded to cacti Version 1.1.6 i was able to load the plugins.
You have been really helpful :D
Much appreciated


Top
 Profile  
 
 Post subject: Re: Thresholds plugin not compatible with Cacti 1.1.2
PostPosted: Thu May 25, 2017 8:57 am 
Offline
User avatar

Joined: Thu Mar 16, 2017 8:43 am
Posts: 25
agriffith wrote:
Thanks alot for the information. Once i upgraded to cacti Version 1.1.6 i was able to load the plugins.
You have been really helpful :D
Much appreciated


Glad I could help and that you got yours working. 8)

_________________
Ubuntu 16.04.2 LTS
Cacti 1.1.6
Spine 1.1.6
RRDtool 1.5.5
PHP 7.0.15
mysql 14.14 (5.7.18)
Cycle 4.0
Monitor 2.1
Gexport 1.0
Thold 1.02
PHP Weathermap 0.98a


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 8 posts ] 

All times are UTC - 5 hours


Who is online

Users browsing this forum: Bing [Bot] and 5 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  

Protected by Anti-Spam ACP Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group